Index: issm/trunk/externalpackages/adolc/install.sh
===================================================================
--- issm/trunk/externalpackages/adolc/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/adolc/install.sh	(revision 12332)
@@ -5,4 +5,7 @@
 #Some cleanup
 rm -rf install ADOL-C-2.2.0 src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/ADOL-C-2.2.0.tar.gz' 'ADOL-C-2.2.0.tar.gz'
 
 #Create install directories
@@ -20,5 +23,5 @@
 
 ./configure \
-	--prefix=$ISSM_TIER/externalpackages/adolc/install \
+	--prefix=$ISSM_DIR/externalpackages/adolc/install \
 	--enable-sparse \
 	--enable-docexa \
Index: issm/trunk/externalpackages/android/android-ndk/install.sh
===================================================================
--- issm/trunk/externalpackages/android/android-ndk/install.sh	(revision 12332)
+++ issm/trunk/externalpackages/android/android-ndk/install.sh	(revision 12332)
@@ -0,0 +1,24 @@
+#This installs the Android NDK (Native Development Kit)
+#which is needed for the compilation of C/C++ code into the 
+#native architecture of the Android device.
+
+#The android-ndk-r7b-darwin-x86.tar.bz2 dummy.tar.bz2 file was downloaded 
+#from the android developer website: 
+
+#Cleanup the install
+rm -rf install
+rm -rf $ANDROID_DIR/arm-linux-android-4.0
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/android-ndk-r7b-darwin-x86.tar.bz2' 'dummy.tar.bz2'
+
+# Install Android SDK and NDK.
+bunzip2 dummy.tar.bz2
+tar -xvf dummy.tar
+rm -rf dummy.tar dummy.tar.bz2
+
+#Move to install
+mv android-ndk-r7b install
+
+#Create Standalone Development Directory
+$ANDROID_NDK_DIR/build/tools/make-standalone-toolchain.sh --platform=android-5 --install-dir=$ANDROID_DIR/arm-linux-android-4.0
Index: issm/trunk/externalpackages/android/android-sdk/install.sh
===================================================================
--- issm/trunk/externalpackages/android/android-sdk/install.sh	(revision 12332)
+++ issm/trunk/externalpackages/android/android-sdk/install.sh	(revision 12332)
@@ -0,0 +1,87 @@
+#This installs the Android SDK (Software Development Kit)
+#which is needed for the compilation of the Java project. 
+
+step=3;
+
+#Different steps here. 
+#1: install sdk, ant and sdk tools
+#2: install an emulator.
+#3: test the emulator
+#4: cleanup
+
+present_dir=`pwd`;
+default_droid="Android-4.0"
+sd_card="issm-sdcard"
+
+if [[ $step == "1" ]]; then
+
+	#Cleanup the install
+	rm -rf install-sdk install-ant
+
+	#Download from ISSM server
+	$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/android-sdk-r16-macosx.zip' 'android-sdk-r16-macosx.zip'
+	$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/apache-ant-1.8.2-bin.zip' 'apache-ant-1.8.2-bin.zip'
+
+	# Install Android SDK and NDK.
+	unzip -o android-sdk-r16-macosx.zip
+	unzip -o apache-ant-1.8.2-bin.zip
+
+	#Move to install
+	mv android-sdk-macosx install-sdk
+	mv apache-ant-1.8.2 install-ant
+
+	#Post_install configuration: 
+	#We need specific settings for specific platforms, for the SDK to 
+	#function properly
+
+	#For now, we need to install:  
+	#android sdk platform tools  
+	#and a specific android api: API 15
+	#Note: API 15 corresponds to Android 4.0.3
+
+	cd install-sdk/tools/ && source ./android update sdk -t platform-tools,android-15,android-14,system-image --no-ui
+
+fi
+
+if [[ $step == "2" ]]; then
+
+	#Once this is done, we need to install an emulator. Location will default to ~/.android/avd, 
+	#which we will move to $ISSM_DIR/externalpackages/android-emulators.  
+	#For now, it's called: Android-4.0.3
+
+	#Here we delete the Android-4.0.3 device if it already exists.
+	cd $present_dir/install-sdk/tools
+
+    if [ -e $ANDROID_DIR/android-emulators/$default_droid ] 
+    then
+        echo "Deleting previously created device: $default_droid"
+	    ./android delete avd -n $default_droid
+    fi
+
+	#Android will prompt the user to specify hardware emulation options. For now, default
+	#default settings will suffice. Press 'enter' to take default settings or enter 'no'.
+
+	./android create avd -f -n $default_droid -t 1 -p $ANDROID_DIR/android-emulators/$default_droid --abi armeabi-v7a
+    echo "Creating an SD Card"
+    ./mksdcard -l $sd_card 2G $ANDROID_DIR/android-emulators/$sd_card.img
+fi
+
+if [[ $step == "3" ]]; then
+    #Here we will start up our default emulator to test that it is working properly.
+    #Once the device has booted we will use the Android Debug Bridge tool to gain
+    #a terminal in our device.
+
+	cd $present_dir/install-sdk/tools
+	./emulator -avd $default_droid -sdcard $ANDROID_DIR/android-emulators/$sd_card.img &
+
+    cd ../platform-tools
+    ./adb wait-for-device shell mount -o rw,remount -t yaffs2 /dev/block/mtdblock1 /system
+    #./adb wait-for-device shell
+    ./adb push $ISSM_TIER/src/c/issm.exe /data/issm.exe
+    ./adb shell chmod 777 /data/issm.exe
+    ./adb shell /data/issm.exe
+fi
+
+if [[ $step == "4" ]]; then
+	rm -rf install-sdk install-ant
+fi
Index: issm/trunk/externalpackages/autoconf/install.sh
===================================================================
--- issm/trunk/externalpackages/autoconf/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/autoconf/install.sh	(revision 12332)
@@ -4,9 +4,12 @@
 rm -rf install autoconf-2.68 src
 
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/autoconf-2.68.tar.gz' 'autoconf-2.68.tar.gz'
+
 #Create install directories
 mkdir install
 
 #Untar 
-tar -zxvf  autoconf-2.68.tar.gz
+tar -zxvf autoconf-2.68.tar.gz
 
 #Move autoconf into src directory
@@ -15,5 +18,5 @@
 #Compile autoconf
 cd src 
-./configure --prefix="$ISSM_TIER/externalpackages/autoconf/install" 
+./configure --prefix="$ISSM_DIR/externalpackages/autoconf/install" 
 make  
 make install
Index: issm/trunk/externalpackages/automake/install.sh
===================================================================
--- issm/trunk/externalpackages/automake/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/automake/install.sh	(revision 12332)
@@ -3,4 +3,7 @@
 #Some cleanup
 rm -rf install automake-1.11.3 src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/automake-1.11.3.tar.gz' 'automake-1.11.3.tar.gz'
 
 #Create install directories
@@ -13,5 +16,5 @@
 #Compile automake
 cd src 
-./configure --prefix="$ISSM_TIER/externalpackages/automake/install" 
+./configure --prefix="$ISSM_DIR/externalpackages/automake/install" 
 make  
 make install
Index: issm/trunk/externalpackages/bbftp/install.sh
===================================================================
--- issm/trunk/externalpackages/bbftp/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/bbftp/install.sh	(revision 12332)
@@ -3,4 +3,7 @@
 #Some cleanup
 rm -rf src install bbftp-client-3.2.0
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/bbftp-client-3.2.0.tar.gz' 'bbftp-client-3.2.0.tar.gz'
 
 #Create install directories
@@ -19,5 +22,5 @@
 #Configure and compile
 cd bbftpc
-./configure --prefix=$ISSM_TIER/externalpackages/bbftp/install
+./configure --prefix=$ISSM_DIR/externalpackages/bbftp/install
 make
 make install
Index: issm/trunk/externalpackages/blas/configs/linux64/make.inc
===================================================================
--- issm/trunk/externalpackages/blas/configs/linux64/make.inc	(revision 12332)
+++ issm/trunk/externalpackages/blas/configs/linux64/make.inc	(revision 12332)
@@ -0,0 +1,34 @@
+####################################################################
+#  BLAS make include file.                                         #
+#  March 2007                                                      #
+####################################################################
+#
+SHELL = /bin/sh
+#
+#  The machine (platform) identifier to append to the library names
+#
+PLAT = _LINUX
+#  
+#  Modify the FORTRAN and OPTS definitions to refer to the
+#  compiler and desired compiler options for your machine.  NOOPT
+#  refers to the compiler options desired when NO OPTIMIZATION is
+#  selected.  Define LOADER and LOADOPTS to refer to the loader and 
+#  desired load options for your machine.
+#
+FORTRAN  = gfortran
+OPTS     = -fPIC -O3
+DRVOPTS  = $(OPTS)
+NOOPT    =
+LOADER   = gfortran
+LOADOPTS =
+#
+#  The archiver and the flag(s) to use when building archive (library)
+#  If you system has no ranlib, set RANLIB = echo.
+#
+ARCH     = ar
+ARCHFLAGS= cr
+RANLIB   = ranlib
+#
+#  The location and name of the Reference BLAS library.
+#
+BLASLIB      = blas$(PLAT).a
Index: issm/trunk/externalpackages/blas/install-linux64.sh
===================================================================
--- issm/trunk/externalpackages/blas/install-linux64.sh	(revision 12332)
+++ issm/trunk/externalpackages/blas/install-linux64.sh	(revision 12332)
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf src install BLAS blas.tgz
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/blas.tgz' 'blas.tgz'
+
+#Untar 
+tar -zxvf  blas.tgz
+
+#Move blas into install directory
+mv BLAS/* src
+rm -rf BLAS
+
+#install
+cd src 
+cp ../configs/linux64/make.inc ./
+make 
+
+#Compile 
+cd ../install
+mkdir lib
+cd lib
+cp ../../src/*.a .
+ln -s blas_LINUX.a blas.a
+ln -s blas_LINUX.a libblas.a
Index: issm/trunk/externalpackages/boost/install.sh
===================================================================
--- issm/trunk/externalpackages/boost/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/boost/install.sh	(revision 12332)
@@ -7,9 +7,10 @@
 #to get the boost library to include python support without doing that. 
 
-
-
 #Some cleanup
 rm -rf install boost_1_49_0 src
 mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/boost_1_49_0.tar.gz' 'boost_1_49_0.tar.gz'
 
 #Untar 
@@ -22,7 +23,7 @@
 cd src 
 ./bootstrap.sh \
-	--prefix="$ISSM_TIER/externalpackages/boost/install" \
+	--prefix="$ISSM_DIR/externalpackages/boost/install" \
 	--with-python=python3.2 \
-	--with-python-root="$ISSM_TIER/externalpackages/python/install" 
+	--with-python-root="$ISSM_DIR/externalpackages/python/install" 
 
 #Compile boost
Index: issm/trunk/externalpackages/bsdtar/install-win7.sh
===================================================================
--- issm/trunk/externalpackages/bsdtar/install-win7.sh	(revision 12331)
+++ issm/trunk/externalpackages/bsdtar/install-win7.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install src libarchive-3.0.3
 mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/libarchive-3.0.3.tar.gz' 'libarchive-3.0.3.tar.gz'
 
 #Untar 
@@ -13,5 +16,5 @@
 
 cd src 
-./configure --prefix="$ISSM_TIER/externalpackages/bsdtar/install" 
+./configure --prefix="$ISSM_DIR/externalpackages/bsdtar/install" 
 make
 make install
Index: issm/trunk/externalpackages/cccl/install-win7.orig.sh
===================================================================
--- issm/trunk/externalpackages/cccl/install-win7.orig.sh	(revision 12331)
+++ issm/trunk/externalpackages/cccl/install-win7.orig.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf src install cccl-0.03
 mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/cccl-0.03.tar.gz' 'cccl-0.03.tar.gz'
 
 #Untar 
@@ -15,5 +18,5 @@
 
 #Compile
-./configure --prefix="$ISSM_TIER/externalpackages/cccl/install"
+./configure --prefix="$ISSM_DIR/externalpackages/cccl/install"
 
 make
Index: issm/trunk/externalpackages/cccl/issm/cccl
===================================================================
--- issm/trunk/externalpackages/cccl/issm/cccl	(revision 12331)
+++ issm/trunk/externalpackages/cccl/issm/cccl	(revision 12332)
@@ -74,4 +74,17 @@
     esac
 	;;
+	-fPIC)
+	#do nothing
+	;;
+	-g)
+	#do nothing
+	;;
+	-pthread)
+	#do nothing
+	;;
+	-fno-omit-frame-pointer)
+	#do nothing
+	;;
+
 	*)
 		#do nothing
@@ -83,4 +96,7 @@
     shift
 done
+			
+#Some default options:
+opts="$opts /nologo"
 
 #echo "$prog $opts"
Index: issm/trunk/externalpackages/chaco/install.sh
===================================================================
--- issm/trunk/externalpackages/chaco/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/chaco/install.sh	(revision 12332)
@@ -6,4 +6,7 @@
 rm -rf install 
 mkdir src install 
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/Chaco-2.2.tar.gz' 'Chaco-2.2.tar.gz'
 
 # Untar 
Index: issm/trunk/externalpackages/cmake/install.sh
===================================================================
--- issm/trunk/externalpackages/cmake/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/cmake/install.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install cmake-2.8.5
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/cmake-2.8.5.tar.gz' 'cmake-2.8.5.tar.gz'
 
 #Untar 
@@ -14,5 +17,5 @@
 #Compile cmake
 cd install 
-./bootstrap --prefix=$ISSM_TIER/externalpackages/cmake/install
+./bootstrap --prefix=$ISSM_DIR/externalpackages/cmake/install
 if [ -z $1 ]; then
 	make
Index: issm/trunk/externalpackages/colpack/install.sh
===================================================================
--- issm/trunk/externalpackages/colpack/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/colpack/install.sh	(revision 12332)
@@ -3,4 +3,7 @@
 #Erase install
 rm -rf install  src ColPack
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/ColPack-1.0.3.tar.gz' 'ColPack-1.0.3.tar.gz'
 
 #install directory
Index: issm/trunk/externalpackages/cppcheck/install.sh
===================================================================
--- issm/trunk/externalpackages/cppcheck/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/cppcheck/install.sh	(revision 12332)
@@ -5,4 +5,6 @@
 mkdir src
 
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/cppcheck-1.48.tar' 'cppcheck-1.48.tar'
 tar -xvf cppcheck-1.48.tar
 
@@ -17,4 +19,4 @@
 	make -j $1
 fi  
-make install PREFIX=$ISSM_TIER/externalpackages/cppcheck/install
+make install PREFIX=$ISSM_DIR/externalpackages/cppcheck/install
 cd ..
Index: issm/trunk/externalpackages/dace/install.sh
===================================================================
--- issm/trunk/externalpackages/dace/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/dace/install.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install dace
 mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/dace.zip' 'dace.zip'
 
 #uncompress
Index: issm/trunk/externalpackages/dakota/install-altix64-cosmos.sh
===================================================================
--- issm/trunk/externalpackages/dakota/install-altix64-cosmos.sh	(revision 12331)
+++ issm/trunk/externalpackages/dakota/install-altix64-cosmos.sh	(revision 12332)
@@ -9,4 +9,7 @@
 rm -rf install 
 mkdir src install 
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/Dakota_4_3.src.tar.gz' 'Dakota_4_3.src.tar.gz'
 
 #Untar 
@@ -29,5 +32,5 @@
 cd src
 ./configure \ 
-	--prefix="$ISSM_TIER/externalpackages/dakota/install" \
+	--prefix="$ISSM_DIR/externalpackages/dakota/install" \
 	--without-graphics  \
 	--with-pic \
Index: issm/trunk/externalpackages/dakota/install-discover.sh
===================================================================
--- issm/trunk/externalpackages/dakota/install-discover.sh	(revision 12332)
+++ issm/trunk/externalpackages/dakota/install-discover.sh	(revision 12332)
@@ -0,0 +1,99 @@
+#!/bin/bash
+
+#Get number of cpus
+NUMCPUS=$1;
+
+#Some cleanup
+rm -rf Dakota
+rm -rf src
+rm -rf install
+mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/Dakota_4_3.src.tar.gz' 'Dakota_4_3.src.tar.gz'
+
+#Untar 
+tar -zxvf  Dakota_4_3.src.tar.gz
+
+#Move Dakota to src directory
+mv Dakota/* src
+rm -rf Dakota
+
+#Apply patches
+patch src/src/ParallelLibrary.C ./ParallelLibrary.C.patch
+patch src/src/ParallelLibrary.H ./ParallelLibrary.H.patch
+patch src/src/NIDRProblemDescDB.C ./NIDRProblemDescDB.C.patch
+patch src/src/NonDSampling.C ./NonDSampling.C.patch
+patch src/src/NonDLocalReliability.C ./NonDLocalReliability.C.patch
+patch src/src/NonDUnilevelRBDO.C ./NonDUnilevelRBDO.C.patch    #  source not even used?
+#patch -R src/packages/Pecos/src/LHSDriver.cpp ./LHSDriver.cpp.patch
+
+#Configure dakota
+cd src
+./configure \
+--prefix="$ISSM_DIR/externalpackages/dakota/install/" \
+--without-graphics  \
+--with-pic \
+--disable-mpi \
+--with-blas="-L/usr/local/intel/mkl/10.1.2.024/lib/64/ -lmkl -lmkl_lapack -liomp5 -lpthread" \
+--with-lapack="-L/usr/local/intel/mkl/10.1.2.024/lib/64/ -lmkl -lmkl_lapack -liomp5 -lpthread"
+cd ..
+
+#Before compiling, if running on 64 bits, we need to active fPIC compilation. Some packages 
+#do not register -fPIC in Dakota, which is a problem. Edit the faulty Makefiles and add the -fPIC 
+#flag to the compilation.
+cat ./src/methods/NCSUOpt/Makefile | sed 's/FFLAGS = -g -O2/FFLAGS = -g -O2 -fPIC/g' >  temp
+mv temp ./src/methods/NCSUOpt/Makefile
+
+cat ./src/methods/acro/packages/pebbl/src/Makefile | sed 's/CXXFLAGS = -O2 -fpermissive/CXXFLAGS = -O2 -fpermissive -fPIC/g' > temp
+mv temp ./src/methods/acro/packages/pebbl/src/Makefile
+
+cat ./src/methods/hopspack/src-nappspack/Makefile | sed 's/CXXFLAGS = -g -O2/CXXFLAGS = -g -O2  -fPIC/g' > temp
+mv temp ./src/methods/hopspack/src-nappspack/Makefile
+
+cat ./src/methods/hopspack/src-cddlib/Makefile | sed 's/CFLAGS = -g -O2/CFLAGS = -g -O2 -fPIC/g' > temp
+mv temp  ./src/methods/hopspack/src-cddlib/Makefile
+
+cat ./src/methods/hopspack/src-shared/Makefile | sed 's/CFLAGS = -g -O2/CFLAGS = -g -O2 -fPIC/g' > temp
+mv temp  ./src/methods/hopspack/src-shared/Makefile
+
+cat ./src/methods/hopspack/src-shared/Makefile | sed 's/CXXFLAGS = -g -O2/CXXFLAGS = -g -O2  -fPIC/g' > temp
+mv temp  ./src/methods/hopspack/src-shared/Makefile
+
+cat ./src/methods/hopspack/src-conveyor/Makefile | sed 's/CXXFLAGS = -g -O2/CXXFLAGS = -g -O2 -fPIC/g' > temp
+mv temp  ./src/methods/hopspack/src-conveyor/Makefile
+
+cat ./src/methods/hopspack/src-appspack/Makefile | sed 's/CXXFLAGS = -g -O2/CXXFLAGS = -g -O2  -fPIC/g' > temp
+mv temp ./src/methods/hopspack/src-appspack/Makefile
+
+cat ./src/methods/acro/packages/colin/src/Makefile | sed 's/CXXFLAGS = -O2 -fpermissive/CXXFLAGS = -O2 -fpermissive -fPIC/g' > temp
+mv temp ./src/methods/acro/packages/colin/src/Makefile
+
+cat ./src/methods/acro/packages/coliny/src/Makefile | sed 's/CXXFLAGS = -O2 -fpermissive/CXXFLAGS = -O2 -fpermissive -fPIC/g' > temp
+mv temp ./src/methods/acro/packages/coliny/src/Makefile
+
+cat ./src/methods/acro/packages/tpl/3po/Makefile | sed 's/CFLAGS = -O2/CFLAGS = -O2 -fPIC/g' > temp
+mv temp  ./src/methods/acro/packages/tpl/3po/Makefile
+
+cat ./src/methods/acro/packages/tpl/3po/Makefile | sed 's/CXXFLAGS = -O2 -fpermissive/CFLAGS = -O2 -fpermissive -fPIC/g' > temp
+mv temp  ./src/methods/acro/packages/tpl/3po/Makefile
+
+cat ./src/packages/ampl/Makefile | sed 's/CFLAGS = -g -O2/CFLAGS = -g -O2 -fPIC/g' > temp
+mv temp  ./src/packages/ampl/Makefile
+
+#Compile and install dakota
+cd src
+if [ -z $NUMCPUS ];
+then
+	make
+	make install
+else
+	make -j $NUMCPUS
+	make -j $NUMCPUS install
+fi
+cd ..
+
+#Weird behaviour of Dakota: libamplsolver.a and amplsolver.a are not the same thing!
+cd install/lib
+mv libamplsolver.a libamplsolver.a.bak
+ln -s ../../src/packages/ampl/amplsolver.a ./libamplsolver.a
Index: issm/trunk/externalpackages/dakota/install-linux64-astrid.sh
===================================================================
--- issm/trunk/externalpackages/dakota/install-linux64-astrid.sh	(revision 12331)
+++ issm/trunk/externalpackages/dakota/install-linux64-astrid.sh	(revision 12332)
@@ -9,4 +9,7 @@
 rm -rf install 
 mkdir src install 
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/Dakota_4_3.src.tar.gz' 'Dakota_4_3.src.tar.gz'
 
 #Untar 
@@ -29,5 +32,5 @@
 cd src
 ./configure \
-	--prefix="$ISSM_TIER/externalpackages/dakota/install" \
+	--prefix="$ISSM_DIR/externalpackages/dakota/install" \
 	--without-graphics  \
 	--with-pic \
Index: issm/trunk/externalpackages/dakota/install-linux64-murdo.sh
===================================================================
--- issm/trunk/externalpackages/dakota/install-linux64-murdo.sh	(revision 12331)
+++ issm/trunk/externalpackages/dakota/install-linux64-murdo.sh	(revision 12332)
@@ -9,4 +9,7 @@
 rm -rf install 
 mkdir src install 
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/Dakota_4_3.src.tar.gz' 'Dakota_4_3.src.tar.gz'
 
 #Untar 
@@ -29,5 +32,5 @@
 cd src
 ./configure \
-	--prefix="$ISSM_TIER/externalpackages/dakota/install" \
+	--prefix="$ISSM_DIR/externalpackages/dakota/install" \
 	--without-graphics  \
 	--with-pic \
Index: issm/trunk/externalpackages/dakota/install-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/dakota/install-macosx64.sh	(revision 12331)
+++ issm/trunk/externalpackages/dakota/install-macosx64.sh	(revision 12332)
@@ -9,4 +9,7 @@
 rm -rf install 
 mkdir src install 
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/Dakota_4_3.src.tar.gz' 'Dakota_4_3.src.tar.gz'
 
 #Untar 
@@ -29,10 +32,10 @@
 cd src
 ./configure \
-   --prefix="$ISSM_TIER/externalpackages/dakota/install" \
+   --prefix="$ISSM_DIR/externalpackages/dakota/install" \
    --without-graphics  \
    --with-pic \
    --disable-mpi \
-   --with-blas="-L$ISSM_TIER/externalpackages/petsc/install/lib -lfblas " \
-   --with-lapack="-L$ISSM_TIER/externalpackages/petsc/install/lib -lflapack -lPLAPACK "
+   --with-blas="-L$ISSM_DIR/externalpackages/petsc/install/lib -lfblas " \
+   --with-lapack="-L$ISSM_DIR/externalpackages/petsc/install/lib -lflapack -lPLAPACK "
 cd ..
 
Index: issm/trunk/externalpackages/dakota/install-pleiades.sh
===================================================================
--- issm/trunk/externalpackages/dakota/install-pleiades.sh	(revision 12331)
+++ issm/trunk/externalpackages/dakota/install-pleiades.sh	(revision 12332)
@@ -9,4 +9,7 @@
 rm -rf install 
 mkdir src install 
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/Dakota_4_3.src.tar.gz' 'Dakota_4_3.src.tar.gz'
 
 #Untar 
@@ -29,5 +32,5 @@
 cd src
 ./configure \ 
-	--prefix="$ISSM_TIER/externalpackages/dakota/install" \
+	--prefix="$ISSM_DIR/externalpackages/dakota/install" \
 	--without-graphics  \
 	--with-pic \
Index: issm/trunk/externalpackages/distribute/install.sh
===================================================================
--- issm/trunk/externalpackages/distribute/install.sh	(revision 12332)
+++ issm/trunk/externalpackages/distribute/install.sh	(revision 12332)
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://python-distribute.org/distribute_setup.py' 'distribute_setup.py'
+python distribute_setup.py
Index: issm/trunk/externalpackages/doxygen/install.sh
===================================================================
--- issm/trunk/externalpackages/doxygen/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/doxygen/install.sh	(revision 12332)
@@ -8,5 +8,5 @@
 
 #Configure doxygen
-cd install && ./configure --prefix "$ISSM_TIER/externalpackages/doxygen/install"
+cd install && ./configure --prefix "$ISSM_DIR/externalpackages/doxygen/install"
 if [ -z $1 ]; then
 	make
Index: issm/trunk/externalpackages/findbugs/install.sh
===================================================================
--- issm/trunk/externalpackages/findbugs/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/findbugs/install.sh	(revision 12332)
@@ -5,4 +5,6 @@
 mkdir install
 
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/findbugs-1.3.9.tar.gz' 'findbugs-1.3.9.tar.gz'
 tar -zxvf findbugs-1.3.9.tar.gz 
 
Index: issm/trunk/externalpackages/freetype/install.sh
===================================================================
--- issm/trunk/externalpackages/freetype/install.sh	(revision 12332)
+++ issm/trunk/externalpackages/freetype/install.sh	(revision 12332)
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf src
+rm -rf install
+rm -rf freetype-2.4.9
+mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/freetype-2.4.9.tar.gz' 'freetype-2.4.9.tar.gz'
+
+#Untar 
+tar -zxvf  freetype-2.4.9.tar.gz
+
+#Move freetype into src directory
+mv freetype-2.4.9/* src
+rm -rf freetype-2.4.9
+
+#Configure freetype
+cd src
+sudo ./configure 
+
+#Compile and install freetype
+if [ -z $1 ]; then
+	sudo make
+else
+	sudo make -j $1
+fi
+sudo make install
Index: issm/trunk/externalpackages/gdal/install.sh
===================================================================
--- issm/trunk/externalpackages/gdal/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/gdal/install.sh	(revision 12332)
@@ -6,4 +6,7 @@
 rm -rf gdal-1.6.0
 mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/gdal-1.6.0.tar.gz' 'gdal-1.6.0.tar.gz'
 
 #Untar 
@@ -17,5 +20,5 @@
 cd src
 ./configure \
-	--prefix="$ISSM_TIER/externalpackages/gdal/install" \
+	--prefix="$ISSM_DIR/externalpackages/gdal/install" \
 	--without-python \
 	--with-netcdf=no \
Index: issm/trunk/externalpackages/gdaltokmz/install.sh
===================================================================
--- issm/trunk/externalpackages/gdaltokmz/install.sh	(revision 12332)
+++ issm/trunk/externalpackages/gdaltokmz/install.sh	(revision 12332)
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/gdaltokmz-1.0.tar.gz' 'gdaltokmz-1.0.tar.gz'
Index: issm/trunk/externalpackages/git/install.sh
===================================================================
--- issm/trunk/externalpackages/git/install.sh	(revision 12332)
+++ issm/trunk/externalpackages/git/install.sh	(revision 12332)
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf src install git-1.7.10.2
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/git-1.7.10.2.tar.gz' 'git-1.7.10.2.tar.gz'
+
+#Untar 
+tar -zxvf  git-1.7.10.2.tar.gz
+
+#Move git into install directory
+mv git-1.7.10.2/* src
+rm -rf git-1.7.10.2
+
+#install
+cd src 
+./configure  --prefix="$ISSM_DIR/externalpackages/git/install"
+	
+#Compile
+make install
Index: issm/trunk/externalpackages/gmake/install.sh
===================================================================
--- issm/trunk/externalpackages/gmake/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/gmake/install.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install src make-3.82
 mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/make-3.82.tar.gz' 'make-3.82.tar.gz'
 
 #Untar 
@@ -16,5 +19,5 @@
 
 #Configure and compile: 
-./configure --prefix=$ISSM_TIER/externalpackages/gmake/install
+./configure --prefix=$ISSM_DIR/externalpackages/gmake/install
 
 if [ -z $1 ]; then
Index: issm/trunk/externalpackages/graphviz/install.sh
===================================================================
--- issm/trunk/externalpackages/graphviz/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/graphviz/install.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install src
 mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/graphviz-2.24.0.tar.gz' 'graphviz-2.24.0.tar.gz'
 
 #Untar 
@@ -14,5 +17,5 @@
 #Configure dakota
 cd src
-./configure --prefix="$ISSM_TIER/externalpackages/graphviz/install"
+./configure --prefix="$ISSM_DIR/externalpackages/graphviz/install"
 cd ..
 
Index: issm/trunk/externalpackages/gsl/install-android-4.0.sh
===================================================================
--- issm/trunk/externalpackages/gsl/install-android-4.0.sh	(revision 12332)
+++ issm/trunk/externalpackages/gsl/install-android-4.0.sh	(revision 12332)
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf src install gsl-1.15
+mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/gsl-1.15.tar.gz' 'gsl-1.15.tar.gz'
+
+#Untar 
+tar -zxvf  gsl-1.15.tar.gz
+
+#Move gsl into src directory
+mv gsl-1.15/* src
+rm -rf gsl-1.15
+
+#Configure gsl
+cd src
+
+./configure \
+    CC=$ANDROID_DIR/arm-linux-android-4.0/bin/arm-linux-androideabi-gcc\
+    LD=$ANDROID_DIR/arm-linux-android-4.0/bin/arm-linux-androideabi-ld\
+    AR=$ANDROID_DIR/arm-linux-android-4.0/bin/arm-linux-androideabi-ar\
+    RANLIB=$ANDROID_DIR/arm-linux-android-4.0/bin/arm-linux-androideabi-ranlib\
+    NM=$ANDROID_DIR/arm-linux-android-4.0/bin/arm-linux-androideabi-nm\
+    OBJ_EXT=o\
+    LIB_EXT=a\
+    --host="arm-linux"\
+	--prefix="$ISSM_DIR/externalpackages/gsl/install" 
+
+#Compile gsl
+if [ -z $1 ]; then
+	make
+else
+	make -j $1
+fi
+
+make install
Index: issm/trunk/externalpackages/gsl/install-linux64.sh
===================================================================
--- issm/trunk/externalpackages/gsl/install-linux64.sh	(revision 12332)
+++ issm/trunk/externalpackages/gsl/install-linux64.sh	(revision 12332)
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf src install gsl-1.15
+mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/gsl-1.15.tar.gz' 'gsl-1.15.tar.gz'
+
+#Untar 
+tar -zxvf  gsl-1.15.tar.gz
+
+#Move gsl into src directory
+mv gsl-1.15/* src
+rm -rf gsl-1.15
+
+#Configure gsl
+cd src
+
+./configure \
+	--prefix="$ISSM_DIR/externalpackages/gsl/install" 
+
+#Compile gsl
+if [ -z $1 ]; then
+	make
+else
+	make -j $1
+fi
+make install 
Index: issm/trunk/externalpackages/gsl/install-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/gsl/install-macosx64.sh	(revision 12331)
+++ issm/trunk/externalpackages/gsl/install-macosx64.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf src install gsl-1.15
 mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/gsl-1.15.tar.gz' 'gsl-1.15.tar.gz'
 
 #Untar 
@@ -18,5 +21,5 @@
 
 ./configure \
-	--prefix="$ISSM_TIER/externalpackages/gsl/install" 
+	--prefix="$ISSM_DIR/externalpackages/gsl/install" 
 
 #Compile gsl
